Skip to main content
POST

Authorizations

Authorization
string
header
required

You can use an OAuth2 JWT bearer token in the Authorization header of your API requests for supported endpoints: Authorization: Bearer <YOUR_JWT_HERE>. These tokens are valid for 10 minutes and can be requested via the access token endpoint endpoint.

Headers

x-idempotency-key
string<uuid>
required

Idempotency key to be used. Sending again the same key would return the same result without re-executing the update.

Path Parameters

workflowCode
string
required

Path parameter to specify the workflow code. Machine-friendly code of Workflow.

Pattern: ^[a-z][-A-Za-z0-9]*$
executionId
string<uuid>
required

Identifier of the resource in Payrails.

Body

application/json
integrationType
enum<string>
required

Code of the integration type for using the payment method in the provider.

Available options:
api,
hpp,
inperson
amount
object
required
paymentMethodCode
enum<string>

Code of the payment method selected to start a payment session.

Available options:
applePay
returnInfo
object

URLs from the merchant side where the consumer should be taken after a redirection flow. If no specific flow for cancel or error are needed, we will redirect to the value in the success URL. The 'pending' URL is used in case the consumer needs to be redirected back to a page if an execution stays in pending for some time.

meta
General · object

Any merchant-specific data that should be used and carried for context in the action execution.

Response

Start Payment Session was requested.

name
enum<string>
required

Starts a payment session on a specific Provider.

Available options:
startPaymentSession
actionId
string<uuid>
required

Unique identifier for this action execution. If its processing is done asynchronously, you will receive a notification with the same actionId.

executedAt
string<date-time>
required

Date and time when execution of the Action was started.

Links to the next possible actions that can be taken.

data
object
required

Provider-specific data needed to continue the payment session.

workspaceId
string<uuid>

Unique identifier of a workspace in Payrails.

Last modified on October 1, 2026